## NAME

d.rast.labels - Labels raster cells using the attribute value or the category value.
(GRASS Display Program)

## SYNOPSIS

d.rast.labels
d.rast.labels [-smv] map=name [attr=string|cat|coords] [size=number] [color=colorname] [backgr=colorname] [border=colorname] [font=fontname]

## DESCRIPTION

d.rast.labels performs automated placement of labels for a GRASS raster map on the current graphics monitor. Labels can be chosen from the category value (numerical), a string attribute, or the labels positions coordinates. The default uses the first string attribute. The user may select the color and sizing of the labels. Labels are only drawn within the current region.

This program can be run non-interactively or interactively. If the user gives the name of a GRASS raster map and (optionally) any other parameters, the command will be run non-interactively. Any parameter left unspecified will be set to its default value (see below). Alternatively, the user can type d.rast.labels at the command line and be prompted for the parameter values using the standard GRASS parser interface.

### Parameters:

-s
  save support sites file
-m
  mark labels on the map
-v
  Verbose output

### Parameters:

map=name
  Name of a GRASS raster map map in the user's current mapset search path.
attr=string|cat|coords
  Type of attribute to use for the label.
  Default: string attr option is set to string, cat or coords.
  Default: string
size=number
  The size of letters in pixels.
  Default: 10
color=colorname
  The GRASS colorname to use for the label text.
  Options: red, orange, yellow, green, blue, indigo, violet, magenta, brown, gray, white or black
  Default: white
backgr=colorname
  Color to use for text box background.
  Options: grey, red, white, magenta, brown, blue, indigo, yellow, black, orange, green, violet, none
  Default: none
border=colorname
  Color to use for text box border.
  Options: grey, red, white, magenta, brown, blue, indigo, yellow, black, orange, green, violet, none
  Default: none
font=fontname
  The GRASS fontname to use for the label.
  Options: cyrilc, gothgbt, gothgrt, gothitt, greekc, greekcs, greekp, greeks, italicc, italiccs, italict, romanc, romancs, romand, romans, romant, scriptc or scripts
  Default: romans

## SEE ALSO

d.sites
d.site.labels
d.vect.labels
d.rast
g.region
parser

## AUTHOR

Markus Neteler, based on d.vect.labels and r.poly

Last changed: $Date: 2002/01/25 05:45:33 $